<?php
/*
 * Plugin Name: WP PlugIn Rebrand
 * Plugin URI: http://www.wprebrand.com
 * Description: Rebrand Your PlugIns With WordPress
 * Version: 1.1.3
 * Author: WPKPteam
 * Author URI: http://www.wprebrand.com
 */

define(WP_P_R_UPLOAD_DIR,dirname(__FILE__).'/uploads/');
define(WP_P_R_UPLOAD_DIR_NAME,'uploads');
define(WP_P_R_DIR,plugin_dir_url( __FILE__ ));

if ( !class_exists( "WPPluginRebrand" ) )
	{
	class WPPluginRebrand
	{	
	
		function WPPluginRebrand()
		{	
			if(defined('ABSPATH') && defined('WPINC')) {
			  if (is_admin()) {
				add_action('admin_menu', array($this,'wp_pluginrebrand_plugin_admin_menu'));
			  }
			}
		}
		
		function wp_pluginrebrand_plugin_admin_menu() { 
		 	add_menu_page('WP PlugIn Rebrand','WP PlugIn Rebrand','manage_options','wp_pluginrebrand',array($this,'wp_pluginrebrand_authorized'));
			add_submenu_page('wp_pluginrebrand',"WPP Recommended","WPP Recommended","manage_options","WPPRecommended",array($this,'bonuses_page'));  
		}
		

		function wp_pluginrebrand_authorized() {
			include_once('wp-pluginrebrand-core.php');
		}
		
		function bonuses_page(){
		?>
				<span style="text-align: center;text-decoration:none;text-transform:none;color:#A2121B;"><H1>*** Highly Recommended ***</H1></span>
				<p></p>
				<p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_cboffer1_wpp" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/DC-X-banners-AN-336x280-.gif" border="0"></a></p><p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_offer1_wpp" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/wpviral_banner_wpoffer1_1.png" border="0"></a></p><p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_offer2_wpp" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/wpoffer2_banner.jpg" border="0"></a></p><p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_cboffer2_wpp" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/banner2_cb2_sphon.jpg" border="0"></a></p>
		<?php
		}

	}
}
else
{
    exit( "Class WPPluginRebrand already declared!" );
}

$WPPluginRebrand = new WPPluginRebrand();

?>