<?php
/*
 * Plugin Name: WP Theme Rebrand
 * Plugin URI: http://www.wprebrand.com
 * Description: Rebrand Your Themes With WordPress
 * Version: 1.1.4
 * Author: WPKPteam
 * Author URI: http://www.wprebrand.com
 */

define(WP_T_R_UPLOAD_DIR,dirname(__FILE__).'/uploads/');
define(WP_T_R_UPLOAD_DIR_NAME,'uploads');
define(WP_T_R_DIR,plugin_dir_url( __FILE__ ));

if ( !class_exists( "WPThemeRebrand" ) )
	{
	class WPThemeRebrand
	{	
	
		function WPThemeRebrand()
		{	
			if(defined('ABSPATH') && defined('WPINC')) {
			  if (is_admin()) {
				add_action('admin_menu', array($this,'wp_themerebrand_plugin_admin_menu'));
			  }
			}
		}
		
		function wp_themerebrand_plugin_admin_menu() { 
		 	add_menu_page('WP Theme Rebrand','WP Theme Rebrand','manage_options','wp_themerebrand',array($this,'wp_themerebrand_authorized'));
						add_submenu_page('wp_themerebrand',"WPT Recommended","WPT Recommended","manage_options","WPTRecommended",array($this,'bonuses_page')); 		  
		}
		

		function wp_themerebrand_authorized() {
			include_once('wp-themerebrand-core.php');
		}
		
				function bonuses_page(){
		?>
		<span style="text-align: center;text-decoration:none;text-transform:none;color:#A2121B;"><H1>*** Highly Recommended ***</H1></span>
		<p></p>
		<p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_cboffer1_wpt" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/DC-X-banners-AN-336x280-.gif" border="0"></a></p><p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_offer1_wpt" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/wpviral_banner_wpoffer1_2.jpg" border="0"></a></p><p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_offer2_wpt" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/wpoffer2_2_banner.gif" border="0"></a></p><p style="text-align: center;"><a href="http://www.freeimoffers.com/bonus/go.php?c=wprebrand_cboffer2_wpt" target="_blank"><img src="<?php echo WP_T_R_DIR;?>/images/banner2_cb2_sphon.jpg" border="0"></a></p>
		<?php
		}
	}
}
else
{
    exit( "Class WPThemeRebrand already declared!" );
}

$WPThemeRebrand = new WPThemeRebrand();

?>